Bug 976475 - Unable to export BPMN2 process to PNG file
Unable to export BPMN2 process to PNG file
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 12:00 EDT by Sona Mala
Modified: 2014-08-06 16:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Unable to export BPMN2 process to PNG file. Consequence: The browser which populates after clicking on the "Export to png" feature cannot find the file which needs to be created in pdf format. Fix: Both share and download are now functional for png and pdf. Fix was implemented in designer master and 6.0.x branches. Result: The required BPMN2 process can now be exported to PNG file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-06-20 12:00:47 EDT
Description of problem:
If you click on icon "PNG" in the south toolbar, then browser cannot find file http://localhost:8080/business-central/transformer?uuid=default://master@jbpm-playground/HR/src/main/resources/myProc.bpmn2&profile=jbpm.

Version-Release number of selected component (if applicable):
6.0.0 DR5 (Beta3)


Steps to Reproduce:
1. create new process
2. export to PNG

Actual results:
File http://localhost:8080/business-central/transformer?uuid=default://master@jbpm-playground/HR/src/main/resources/myProc.bpmn2&profile=jbpm is not found by browser.

Expected results:
Download dialog for PNG file, which contains process diagram

Additional info:
Comment 1 Tihomir Surdilovic 2013-10-04 10:56:34 EDT
Both share and download should be functional now for both png and pdf. Fix in designer master and 6.0.x branches.
Comment 4 Ryan Zhang 2013-10-08 03:36:27 EDT
Not picked in ER4. So updating the target milestone.
Comment 6 Kanchan Desai 2013-10-28 13:47:59 EDT
Hi Sona,

Doc Text has been added. Can you please review the CCFR.
Comment 7 Marek Baluch 2013-11-27 05:15:32 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.